--- title: "Get IP ACL list" slug: "get-ip-acls" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/get-ip-acls" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get IP ACL list Available in Classic and VPC Get the IP ACL list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/ip-acls | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `searchWord` | String | Optional | Search keyword - If you enter a value that does not match in whole or in part with the search column options (`ipAclName`, `nrn`), `items` is displayed as an empty value `[]` in the response. - If you request without `searchColumn`, the entire list is displayed. | | `searchColumn` | String | Conditional | Search column - `ipAclName` \| `nrn` - `ipAclName`: IP ACL name - `nrn`: NAVER Cloud Platform resource identification value for IP ACL | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `size` | Integer | Optional | Page output count - 1-N (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/ip-acls' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Number | - | Page number | | `totalPages` | Number | - | Total number of pages | | `totalItems` | Number | - | Number of response results | | `isFirst` | Boolean | - | Whether it is the first page - `true` \| `false` - `true`: first page - `false`: not a first page | | `isLast` | Boolean | - | Whether it is the last page - `true` \| `false` - `true`: last page - `false`: not a last page | | `hasPrevious` | Boolean | - | Whether previous page exists - `true` \| `false` - `true`: It exists. - `false`: It doesn't exist. | | `hasNext` | Boolean | - | Whether next page exists - `true` \| `false` - `true`: It exists. - `false`: It doesn't exist. | | `items` | Array | - | IP ACL list: [items](/docs/en/get-ip-acls#items) | #### `items` The following describes `items`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `ipAclId` | String | - | IP ACL ID | | `ipAclName` | String | - | IP ACL name | | `description` | String | - | IP ACL description | | `nrn` | String | - | NAVER Cloud Platform resource identification value for IP ACL | | `accessIps` | Array | - | List of access target IP addresses | | `createdAt` | String | - | IP ACL creation date and time - ISO 8601 format | | `updatedAt` | String | - | IP ACL modification date and time - ISO 8601 format | ### Response status codes For information about the response status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "page": 0, "totalPages": 1, "totalItems": 1, "isFirst": true, "isLast": true, "hasPrevious": false, "hasNext": false, "items": [ { "ipAclId": "5bf4cad0-****-****-****-cd51bba3fe23", "ipAclName": "ipacl000", "description": "ipacl000 description", "nrn": "nrn:PUB:SSO::*******:IPACL/5bf4cad0-****-****-****-cd51bba3fe23", "accessIps": [ "***.***.***.***" ], "createdAt": "2025-01-13T06:33:19Z", "updatedAt": "2025-01-13T06:33:19Z" } ] } ```